/****************************************************************************
** Включить реле в определенное время и день.
****************************************************************************/

const numPKU  = 1; // Номер пульта
const numDev  = 1; // Номер прибора
const numRelay= 1; // Номер реле

const dateM   =  1; // День месяца
//const dateW   =  1; // День недели (0 - понедельник; 6 - воскресенье)
const hour    = 10; // Час
const minute  = 20; // Минута
const seconds = 30; // Секунда

setSheduler();

//---------------------------------------------------------------------------
function setSheduler()
{
    // Вызвать функцию controlRelay в заданное время
    var time = new Date();
    time.setHours(hour, minute, seconds, 0);
    armSkif.setSheduler(controlRelay, time);
}
//---------------------------------------------------------------------------
function controlRelay()
{
    date = new Date();
    if (date.getDate() == dateM)
        //if (date.getDay() == dateW)
    {
        armSkif.controlRelay(numPKU, numDev, numRelay, armSkif.RL_ON ); // Включить реле  
	//armSkif.controlRelay(numPKU, numDev, numRelay, armSkif.RL_OFF); // Выключить реле
    }

    setSheduler();
}
